# -*- coding: utf-8 -*-
# kay_admob.extensions

# import logging
from jinja2 import nodes
from jinja2.ext import Extension

from kay.utils import get_request
from kay_admob.admob import ad

class AdMobExtension(Extension):
    # a set of names that trigger the extension.
    tags = set(['admob'])

    def __init__(self, environment):
        super(AdMobExtension, self).__init__(environment)
        # add the defaults to the environment
        environment.extend(
            admob_prefix=''
        )

    def parse(self, parser):
        lineno = parser.stream.next().lineno
        return nodes.CallBlock(self.call_method('_add_admob'),
                               [], [], "").set_lineno(lineno)

    def _add_admob(self, caller):
        """Helper callback."""
        request = get_request()
        request.has_admob = True
        return ad(request, params=None, fail_silently=True)
