# -*- coding: utf-8 -*-

"""
A sample of kay settings.

:Copyright: (c) 2009 Accense Technology, Inc.
                     Takashi Matsuo <tmatsuo@candit.jp>,
                     All rights reserved.
:license: BSD, see LICENSE for more details.
"""

DEFAULT_TIMEZONE = 'Asia/Tokyo'
DEBUG = True
PROFILE = False
SECRET_KEY = 'ReplaceItWithSecretString'
SESSION_PREFIX = 'gaesess:'
COOKIE_AGE = 1209600 # 2 weeks
COOKIE_NAME = 'KAY_SESSION'

ADD_APP_PREFIX_TO_KIND = True

ADMINS = (
)

TEMPLATE_DIRS = (
)

USE_I18N = False
DEFAULT_LANG = 'en'

"""
ADMOB Settings
- make sure you apply for your publisher_id from Admob and key it in below. Without a valid publisher_id, no Ads will appear in your web page.

http://www.admob.com

"""
ADMOB_PUBLISHER_ID = '<publisher_id>'
ADMOB_ANALYTICS_ID = '<analytics_id>'
ADMOB_COOKIE_PATH = '/'
ADMOB_COOKIE_DOMAIN = '.example.com'
ADMOB_ENCODING = 'utf-8'
ADMOB_TEST = True

INSTALLED_APPS = (
    "kay_admob",
    "myapp",
)

APP_MOUNT_POINTS = {
    "myapp": "/",
}

# You can remove following settings if unnecessary.
CONTEXT_PROCESSORS = (
  'kay.context_processors.request',
  'kay.context_processors.url_functions',
  'kay.context_processors.media_url',
)

JINJA2_EXTENSIONS = (
    'kay_admob.extensions.AdMobExtension',
)

MIDDLEWARE_CLASSES = (
  'kay.sessions.middleware.SessionMiddleware',
  'kay_admob.middleware.AdMobMiddleware',
)
